using System.Collections.Generic;

namespace skydiveLogs_api.Data.Interface
{
    public interface IRepository<T>
    {
        IEnumerable<T> GetAll();

        T GetById(int id);

        bool Update(T updated);

        bool Add(T newEntity);
    }
}